Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 58389 - ntp time correct, but syslog is still old time
ntp time correct, but syslog is still old time
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-15 11:57 EST by Stephen Lawrence Jr.
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-07 19:13:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Lawrence Jr. 2002-01-15 11:57:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010914

Description of problem:
After configuring ntp, and getting my machines time syncronized, I noticed my
syslog entries still had the old timestamp on them. I had to restart syslog
manually to get it to recognize the new time.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.set time to bogus time using 'date'
2.restart syslogd
3./etc/rc.d/init.d/ntpd restart
4. check system date 'date' which should be ntpd sync'd date now
3.check /var/log/messages for entries with "bogus" time
	

Actual Results:  Bogus time showed.

Expected Results:  date/time from ntp server should show on all log files

Additional info:
Comment 1 Jason Vas Dias 2005-06-07 19:13:05 EDT
Very sorry this bug seems to have escaped attention for so long -
I've recently taken over maintenance of the sysklogd package.

This bug is definitely fixed with all current sysklogd/glibc/ntpd
versions (unable to determine which component originally caused this
bug. Closing out.

Note You need to log in before you can comment on or make changes to this bug.